package es.aranova.mhp.base;

import java.awt.Component;
import java.awt.Container;
import java.awt.Dimension;

public class TemplateContainer extends Container {
	private Dimension _region;
	private int _width;
	private int _height;
	private int _x;
	private int _y;
	private String _appName;
	protected void setFreeRegion(int x, int y, int width, int height) {
		_x = x;
		_y = y;
		_width = width;
		_height = height;
	}

	/* (non-Javadoc)
	 * @see java.awt.Container#add(java.awt.Component)
	 */
	public Component add(Component comp) {
		comp.setSize(_width, _height);
		comp.setLocation(_x, _y);
		return super.add(comp);
	}

	/**
	 * @param appName
	 */
	public void setAppName(String appName) {
		_appName = appName;
	}

	public String getAppName() {
		return _appName;
	}

}
