/*
 * File: templateazul.java
 * Project: Termes del joc III, es.aranova.mhp.apps.termesdeljociii;
 * Revision: 1.0
 * Date: 15/04/08 21:34
 *
 * Copyright 2006 ARANOVA.
 *
 * All rights reserved. Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package es.aranova.mhp.apps.termesdeljociii;

import java.awt.Color;
import java.awt.Font;
import java.awt.Graphics;
import java.awt.Toolkit;

import es.aranova.mhp.base.TemplateContainer;

public class templateazul extends TemplateContainer {

	public templateazul() {
		super();
		setSize(720,576);
		setFreeRegion(0, 106, 720, getHeight() - 106);
	}

	public void paint(Graphics g) {
		// Fill background
		g.setColor(new Color(0x7f,0x7f,0xff));
		g.fillRect(0,0,getSize().width,getSize().height);
		//g.drawImage(backgoundImage,0,0,this);
		// Paint components
		super.paint(g);
		// Paint title bar
		paintTitleBar(g);
	}

	// Paint the MapGet title bar
	private void paintTitleBar(Graphics g) {
		g.setColor(new Color(0x3f,0x00,0x7f));
		g.fillRect(0,50,720,55);
		g.setColor(new Color(0x00,0x00,0x00));
		g.drawLine(0,48,719,48);
		g.drawLine(0,49,719,49);
		g.drawLine(0,105,719,105);
		g.drawLine(0,106,719,106);
		g.setFont(new Font("Tireasias",Font.PLAIN,45));
		g.setColor(Color.black);
		g.drawString(getAppName(),72,96);
		g.setColor(Color.white);
		g.drawString(getAppName(),69,93);
	}
}
